"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _miniCssExtractPlugin = _interopRequireDefault(require("mini-css-extract-plugin"));

var _cssClassNameGenerate = _interopRequireDefault(require("../utils/cssClassNameGenerate"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let isWin = process.platform === 'win32';

let getCSSLoaders = (hasRTL, rtlExclude, classNameBlob, cssUniqueness, selectorReplace, cssHashSelectors, classNamePrefix) => {
  let rtlExcludeLocal = isWin ? rtlExclude.map(r => r.replace(/\//g, '\\')) : rtlExclude;
  let cssLoaderOptions = {
    importLoaders: hasRTL ? 1 : 0,
    modules: {}
  };

  if (classNameBlob) {
    cssLoaderOptions.modules.localIdentName = classNameBlob;
  } else {
    cssLoaderOptions.modules.getLocalIdent = (0, _cssClassNameGenerate.default)(cssUniqueness, cssHashSelectors, classNamePrefix);
  }

  return [{
    loader: _miniCssExtractPlugin.default.loader,
    options: {
      publicPath: '../'
    }
  }, {
    loader: 'css-loader',
    options: cssLoaderOptions
  }, hasRTL || selectorReplace ? {
    loader: 'postcss-loader',
    options: {
      ident: 'postcss',
      plugins: function () {
        return [selectorReplace && require('postcss-selector-replace')(selectorReplace), hasRTL && require('../postcss-plugins/ExcludeRTLPlugin')({
          ignore: rtlExcludeLocal,
          plugins: [require('@zohodesk/postcss-rtl')({
            addPrefixToSelector: function addPrefixToSelector(selector, prefix) {
              if (prefix === '[dir]') {
                return selector;
              }

              return `${prefix} ${selector}`; // Make selectors like [dir=rtl] > .selector
            }
          })]
        })].filter(Boolean);
      }
    }
  } : null].filter(Boolean);
};

var _default = getCSSLoaders;
exports.default = _default;