"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const {
  Template
} = require('webpack');

const pluginName = 'prefetch-preload-chunk-plugin';

class ResourceHintsPlugin {
  apply(compiler) {
    compiler.hooks.thisCompilation.tap(pluginName, ({
      mainTemplate
    }) => {
      mainTemplate.hooks.requireExtensions.tap(pluginName, (source, chunk, hash) => {
        const idNameMap = chunk.getChunkMaps().name;
        const nameIdMap = {};
        let needsMap = false;

        for (const key in idNameMap) {
          if (Object.prototype.hasOwnProperty.call(idNameMap, key)) {
            const value = idNameMap[key];
            nameIdMap[value] = key;

            if (key !== value) {
              needsMap = true;
            }
          }
        }

        return Template.asString([source, '', `${mainTemplate.requireFn}.getChunkId = function getChunkId(chunkId) {`, Template.indent((needsMap ? [`chunkId = ${JSON.stringify(nameIdMap)}[chunkId]||chunkId;`] : []).concat(['return chunkId;'])), '}', `// Prefetch a chunk (${pluginName})`, `${mainTemplate.requireFn}.pfc = function prefetchChunk(chunkId) {`, Template.indent([`chunkId = ${mainTemplate.requireFn}.getChunkId(chunkId)`, `${mainTemplate.requireFn}.e(chunkId);`]), '};',
        /*
          (needsMap
            ? [`chunkId = ${JSON.stringify(nameIdMap)}[chunkId]||chunkId;`]
            : []
          ).concat([
            'var promises = [];',
            'if(installedChunks[chunkId] === undefined) {',
            Template.indent([
              'installedChunks[chunkId] = null;',
              /* mainTemplate.hooks.linkPrefetch.call('', chunk, hash),
              'document.head.appendChild(link);', */

        /*
              mainTemplate.hooks.requireEnsure.call('', chunk, hash)
            ]),
            '}'
          ])
        ),
        '}',
        */
        `// Preload a chunk (${pluginName})`, `${mainTemplate.requireFn}.plc = function preloadChunk(chunkId) {`, Template.indent([`chunkId = ${mainTemplate.requireFn}.getChunkId(chunkId)`, 'if(installedChunks[chunkId] === undefined) {', Template.indent(['installedChunks[chunkId] = null;', mainTemplate.hooks.linkPreload.call('', chunk, hash), 'document.head.appendChild(link);', `${mainTemplate.requireFn}.e(chunkId);` // 'var head = document.getElementsByTagName(\'head\')[0];',
        // mainTemplate.hooks.jsonpScript.call('', chunk, hash),
        // 'head.appendChild(script);'
        ]), '}']), '};']);
      });
    });
  }

}

var _default = ResourceHintsPlugin;
exports.default = _default;