"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _webpackSources = require("webpack-sources");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class SourceMapHookPlugin {
  apply(compiler) {
    compiler.hooks.emit.tap('SourceMapHookPlugin', compilation => {
      Object.keys(compilation.assets).forEach(filename => {
        if (/\.js$/g.test(filename)) {
          let source = compilation.assets[filename].source();

          let {
            name
          } = _path.default.parse(filename);

          let src = `${source}\n//# sourceMappingURL=../smap/${name}.map`;
          compilation.assets[filename.replace(/js\//g, 'js-sm/')] = new _webpackSources.RawSource(src);
        }
      });
    });
  }

}

var _default = SourceMapHookPlugin;
exports.default = _default;