"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _os = _interopRequireDefault(require("os"));

var _path = _interopRequireDefault(require("path"));

var _getHash = _interopRequireDefault(require("./getHash"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let isWindows = _os.default.platform().toLowerCase() === 'win32';

let isSelectorPackage = (resourcePath, packages) => {
  if (!resourcePath.includes('node_modules')) {
    return false;
  }

  let isValid = false;

  for (let pack of packages) {
    if (isWindows) {
      pack = pack.replace(/\//g, '\\');
    }

    if (resourcePath.includes(pack)) {
      isValid = true;
      break;
    }
  }

  return isValid;
};

var _default = (unique = true, {
  filenames,
  packages
}, classNamePrefix) => (context, localIdentName, localName) => {
  if (context.resourcePath.endsWith('.plain.css')) {
    return localName;
  }
  /* old production mode start without breaking so added. may be removed in future*/


  if (unique) {
    let h = (0, _getHash.default)(context.resourcePath + localName, 10);
    return `${classNamePrefix}${h}`;
  }
  /* old production mode end*/


  let filePaths = context.resourcePath.split(_path.default.sep);
  let fileName = filePaths[filePaths.length - 1];
  let [fileNameWithoutExt] = fileName.split('.');
  let cleanFileName = fileNameWithoutExt.replace(/-/g, '_').toLowerCase(); //css file has casesensitive selector issue so can't toLowerCase
  //let local = localName.toLowerCase()

  if (isSelectorPackage(context.resourcePath, packages) || filenames.indexOf(cleanFileName) !== -1) {
    let h = (0, _getHash.default)(context.resourcePath + localName, 10);
    return `${classNamePrefix}${h}`;
  }

  return `${classNamePrefix}-${cleanFileName}-${localName}`;
};

exports.default = _default;