"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _schemas = _interopRequireDefault(require("../schemas"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let defaulter = (target, source) => {
  let defaultObject = {};
  Object.keys(target).forEach(key => {
    let data = target[key];

    if (data && typeof data === 'object') {
      if (Array.isArray(data)) {
        defaultObject[key] = source[key] || data;
      } else if (typeof data.cli === 'string') {
        let cliData;

        if (typeof process.env[`npm_config_${data.cli}`] === 'string') {
          cliData = process.env[`npm_config_${data.cli}`];
        } else {
          cliData = source && source[key] || data.value;
        }

        if (typeof data.value === 'boolean') {
          cliData = cliData === 'true' || cliData === true ? true : cliData === 'false' || cliData === false || cliData === '' ? false : data.value;
        }

        defaultObject[key] = cliData;
      } else {
        defaultObject[key] = defaulter(data, source && source[key] ? source[key] : Array.isArray(target[key]) ? [] : {});
      }
    } else {
      defaultObject[key] = typeof source === 'object' && source[key] !== null && typeof source[key] !== 'undefined' ? source[key] : target[key];
    }
  });
  return defaultObject;
};

global.reactCLIOptions = null;

let getOptions = () => {
  if (global.reactCLIOptions) {
    return global.reactCLIOptions;
  }

  let appPath = process.cwd();
  let userSchemas;

  let packagePath = _path.default.join(appPath, 'package.json');

  if (_fs.default.existsSync(packagePath)) {
    userSchemas = require(packagePath)['react-cli'] || {};
  }

  let options = defaulter(_schemas.default, userSchemas || {});
  options.packageVersion = process.env.npm_package_version;
  global.reactCLIOptions = options;
  return options;
};

var _default = getOptions;
exports.default = _default;