"use strict";

const {
  spawn
} = require('child_process');

const eslintPackages = ['eslint', 'eslint-config-airbnb', 'eslint-plugin-import', 'eslint-plugin-jsx-a11y', 'eslint-plugin-react', 'eslint-plugin-react-hooks', 'eslint-plugin-css-modules', '@zohodesk/eslint-plugin-react-performance', '@zohodesk/eslint-plugin-zsecurity'];
const prettierPackages = ['prettier'];
const eslintPrettierConfig = ['eslint-config-prettier']; // const npmInstall = `npm i --save-dev ${devDependencies.join(' ')}`;

function runInstall(packages) {
  return spawn('npm', ['i', ...packages, '--save-dev'], {
    detached: true,
    stdio: 'inherit'
  });
}

function installLintStaged() {
  spawn('npx', ['mrm', 'lint-staged'], {
    detached: true,
    stdio: 'inherit'
  });
}

module.exports = {
  eslintPackages,
  prettierPackages,
  eslintPrettierConfig,
  installLintStaged,
  runInstall
};